Create Dataset
curl --request POST \
--url https://api.fireworks.ai/v1/accounts/{account_id}/datasets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataset": {
"displayName": "<string>",
"exampleCount": "<string>",
"userUploaded": {},
"evalProtocol": {},
"externalUrl": "<string>",
"format": "FORMAT_UNSPECIFIED",
"sourceJobName": "<string>"
},
"datasetId": "<string>",
"sourceDatasetId": "<string>",
"filter": "<string>"
}
'import requests
url = "https://api.fireworks.ai/v1/accounts/{account_id}/datasets"
payload = {
"dataset": {
"displayName": "<string>",
"exampleCount": "<string>",
"userUploaded": {},
"evalProtocol": {},
"externalUrl": "<string>",
"format": "FORMAT_UNSPECIFIED",
"sourceJobName": "<string>"
},
"datasetId": "<string>",
"sourceDatasetId": "<string>",
"filter": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dataset: {
displayName: '<string>',
exampleCount: '<string>',
userUploaded: {},
evalProtocol: {},
externalUrl: '<string>',
format: 'FORMAT_UNSPECIFIED',
sourceJobName: '<string>'
},
datasetId: '<string>',
sourceDatasetId: '<string>',
filter: '<string>'
})
};
fetch('https://api.fireworks.ai/v1/accounts/{account_id}/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"displayName": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"state": "STATE_UNSPECIFIED",
"status": {
"code": "OK",
"message": "<string>"
},
"exampleCount": "<string>",
"userUploaded": {},
"evaluationResult": {
"evaluationJobId": "<string>"
},
"transformed": {
"sourceDatasetId": "<string>",
"filter": "<string>",
"originalFormat": "FORMAT_UNSPECIFIED"
},
"splitted": {
"sourceDatasetId": "<string>"
},
"evalProtocol": {},
"externalUrl": "<string>",
"format": "FORMAT_UNSPECIFIED",
"createdBy": "<string>",
"updateTime": "2023-11-07T05:31:56Z",
"sourceJobName": "<string>",
"estimatedTokenCount": "<string>",
"averageTurnCount": 123
}Datasets
Create Dataset
POST
/
v1
/
accounts
/
{account_id}
/
datasets
Create Dataset
Authorizations
Bearer authentication using your Fireworks API key. Format: Bearer <API_KEY>
Path Parameters
The Account Id
Body
application/json
Response
200 - application/json
A successful response.
Available options:
STATE_UNSPECIFIED, UPLOADING, READY status
Mimics [https://github.com/googleapis/googleapis/blob/master/google/rpc/status.proto] · object
read-only
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
FORMAT_UNSPECIFIED, CHAT, COMPLETION, RL The email address of the user who initiated this fine-tuning job.
The update time for the dataset.
The resource name of the job that created this dataset (e.g., batch inference job). Used for lineage tracking to understand dataset provenance.
The estimated number of tokens in the dataset.
An estimate of the average number of turns per sample in the dataset.
Was this page helpful?
⌘I